curl --request GET \
--url https://api.themoviedb.org/3/list/{list_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/list/{list_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/list/{list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_by": "SirJosh",
"description": "This contains the list of all anime, movie or TV shows",
"favorite_count": 0,
"id": 8504997,
"iso_639_1": "en",
"item_count": 1,
"items": [
{
"adult": false,
"backdrop_path": "/wgvc3PmjQGtYYDWaeuV867mnFDs.jpg",
"genre_ids": [
878,
28,
12
],
"id": 18,
"media_type": "movie",
"original_language": "fr",
"original_title": "Le Cinquième Élément",
"overview": "In 2257, a taxi driver is unintentionally given the task of saving a young girl who is part of the key that will ensure the survival of humanity.",
"popularity": 69.185,
"poster_path": "/fPtlCO1yQtnoLHOwKtWz7db6RGU.jpg",
"release_date": "1997-05-02",
"title": "The Fifth Element",
"video": false,
"vote_average": 7.554,
"vote_count": 10764
}
],
"name": "Anime",
"page": 1,
"poster_path": null,
"total_pages": 1,
"total_results": 1
}Details
This endpoint allows user to access informations addded in the list.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Specifies the language in which the response should be returned.
"en-US"
This is the unique identifier of the list been created
""
Indicates which page of results to return. Default is the first page (1).
1
Response
details
The name of the user who created the list.
"SirJosh"
A textual description of the list.
"This contains the list of all anime, movie or TV shows"
The number of users who have marked the list as a favorite (default is 0).
0
The unique identifier for the list.
8504997
The ISO 639-1 code for the language of the list.
"en"
The total number of items in the list.
1
A collection of items (movies/shows) contained in the list.
Show child attributes
Show child attributes
[
{
"adult": false,
"backdrop_path": "/wgvc3PmjQGtYYDWaeuV867mnFDs.jpg",
"genre_ids": [878, 28, 12],
"id": 18,
"media_type": "movie",
"original_language": "fr",
"original_title": "Le Cinquième Élément",
"overview": "In 2257, a taxi driver is unintentionally given the task of saving a young girl who is part of the key that will ensure the survival of humanity.",
"popularity": 69.185,
"poster_path": "/fPtlCO1yQtnoLHOwKtWz7db6RGU.jpg",
"release_date": "1997-05-02",
"title": "The Fifth Element",
"video": false,
"vote_average": 7.554,
"vote_count": 10764
}
]
The name of the list.
"Anime"
The current page number of the results being displayed.
1
The path of the poster image associated with the list. When poster_path is null, it means that the item does not have an associated poster image in the database.
null
The total number of pages available for the query results.
1
The total number of results found for the query.
1